Bug 1451828 - [3.4] Nope IP is flip flopping between eth0 and eth1 IPs
Summary: [3.4] Nope IP is flip flopping between eth0 and eth1 IPs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.z
Assignee: Ben Bennett
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1438402 1451830
Blocks: 1451818
TreeView+ depends on / blocked
 
Reported: 2017-05-17 15:13 UTC by Ben Bennett
Modified: 2017-06-15 18:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: multiple node IP addresses reported in random order by node status Consequence: Sdn controller picks up random one each time Fix: Maintain stickiness of the IP once it is chosen until valid. Result: No flapping.
Clone Of: 1438402
Environment:
Last Closed: 2017-06-15 18:39:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ose pull 750 0 None None None 2017-05-17 15:13:00 UTC
Red Hat Product Errata RHBA-2017:1425 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.2 bug fix update 2017-06-15 22:35:53 UTC

Comment 1 Ben Bennett 2017-05-26 17:52:04 UTC
https://github.com/openshift/ose/pull/750

Comment 3 Meng Bo 2017-06-01 03:31:29 UTC
Tested OCP v3.4.1.30 with openshift-on-openstack.

Restart both master and node VMs for several times, the nodes' cluster ip will not flip flop.

Verify the bug.

Comment 5 errata-xmlrpc 2017-06-15 18:39:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1425


Note You need to log in before you can comment on or make changes to this bug.